package cn.com.usky.iot.data.service;

public interface YtiotVDataService {
	String getSyncPointVList(String queryJson, String page, String start, String limit, String sort) throws Exception;
	String getSyncDataVList(String queryJson, String page, String start, String limit, String sort) throws Exception;
	String getSyncDataQList(String queryJson, String page, String start, String limit, String sort) throws Exception;
	String getSyncDataRList(String queryJson, String page, String start, String limit, String sort) throws Exception;
	String getSyncDataFList(String queryJson, String page, String start, String limit, String sort) throws Exception;
	String getSyncwaterDataVList(String queryJson, String page, String start, String limit, String sort) throws Exception;
	String getSyncrtuDataVList(String queryJson, String page, String start, String limit, String sort) throws Exception;
	String getSyncfireDataVList(String queryJson, String page, String start, String limit, String sort) throws Exception;
	String getSyncDataList(String queryJson) throws Exception;
	String getSyncfileDataFexcelList(String queryJson) throws Exception;
	String getSyncwaterDataFexcelList(String queryJson) throws Exception;
	String getSyncDataFexcelList(String queryJson) throws Exception;
	String getSyncrtuDataFexcelList(String queryJson) throws Exception;
	String getSyncDataVListByCompany(String queryJson) throws Exception;
	String getSyncDataByDays(String queryJson) throws Exception;
	String getSyncStatusVList(String queryJson, String page, String start, String limit, String sort) throws Exception;
	String getSyncStatusVListByCompany(String queryJson) throws Exception;
}

